Change a catalogue item
curl --request PATCH \
--url https://{organization}.rescueconsole.com/api/animals/medical-catalogue/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "Heartworm antigen",
"is_active": false
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({label: 'Heartworm antigen', is_active: false})
};
fetch('https://{organization}.rescueconsole.com/api/animals/medical-catalogue/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/medical-catalogue/{id}"
payload = {
"label": "Heartworm antigen",
"is_active": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"item": {
"id": "<string>",
"kind": "diagnosis",
"key": "<string>",
"label": "<string>",
"fields": [
{
"key": "<string>",
"label": "<string>",
"type": "text",
"options": [
"<string>"
],
"unit": "<string>"
}
],
"notes": "<string>",
"is_active": true,
"sort_order": 123,
"alters": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Medical catalogue
Change a catalogue item
Send only what changes. The kind and the key cannot be changed. Set is_active to false to retire an item without deleting it. Changes no medical record: a record keeps the name and details it was saved with. Needs write on Animals.
PATCH
/
api
/
animals
/
medical-catalogue
/
{id}
Change a catalogue item
curl --request PATCH \
--url https://{organization}.rescueconsole.com/api/animals/medical-catalogue/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "Heartworm antigen",
"is_active": false
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({label: 'Heartworm antigen', is_active: false})
};
fetch('https://{organization}.rescueconsole.com/api/animals/medical-catalogue/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/medical-catalogue/{id}"
payload = {
"label": "Heartworm antigen",
"is_active": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"item": {
"id": "<string>",
"kind": "diagnosis",
"key": "<string>",
"label": "<string>",
"fields": [
{
"key": "<string>",
"label": "<string>",
"type": "text",
"options": [
"<string>"
],
"unit": "<string>"
}
],
"notes": "<string>",
"is_active": true,
"sort_order": 123,
"alters": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Authorizations
An API key from Settings, API keys. It starts with rc_live_.
Path Parameters
The item's ID.
Body
application/json
Response
The item, as it now is.
Show child attributes
Show child attributes